<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CapabilityAgents Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for CapabilityAgents:</div>
<div class="dyncontent">
<div class="center"><img src="dir_7cf910bd1d7603f12ef47ff650cec893_dep.png" border="0" usemap="#dir__7cf910bd1d7603f12ef47ff650cec893__dep" alt="/workplace/avs-device-sdk/CapabilityAgents"/></div>
<map name="dir__7cf910bd1d7603f12ef47ff650cec893__dep" id="dir__7cf910bd1d7603f12ef47ff650cec893__dep">
<area shape="rect" id="node2" href="dir_cc045affa42b6b559da6861739bda652.html" title="AIP" alt="" coords="552,27,624,75"/>
<area shape="rect" id="node18" href="dir_6b07903b29b547047bfa8a8b819c80bf.html" title="SpeechEncoder" alt="" coords="510,123,626,171"/>
<area shape="rect" id="edge25-headlabel" href="dir_000133_000294.html" title="2" alt="" coords="581,99,589,113"/>
<area shape="rect" id="node24" href="dir_13e65effb2bde530b17b3d5eefcd0266.html" title="AVSCommon" alt="" coords="1117,315,1219,363"/>
<area shape="rect" id="edge26-headlabel" href="dir_000133_000015.html" title="44" alt="" coords="1093,316,1108,329"/>
<area shape="rect" id="node3" href="dir_6a3d888c77d91a2c06c3ff7a43c42895.html" title="Alerts" alt="" coords="1677,27,1749,75"/>
<area shape="rect" id="node20" href="dir_cf27311ab9f4263eef70b28364b95692.html" title="CertifiedSender" alt="" coords="1712,123,1826,171"/>
<area shape="rect" id="edge13-headlabel" href="dir_000102_000211.html" title="1" alt="" coords="1749,96,1757,109"/>
<area shape="rect" id="node21" href="dir_d29c5f5a2915d6c5388c9daae4f109c7.html" title="Storage" alt="" coords="1639,219,1711,267"/>
<area shape="rect" id="edge14-headlabel" href="dir_000102_000303.html" title="3" alt="" coords="1726,236,1734,250"/>
<area shape="rect" id="edge15-headlabel" href="dir_000102_000015.html" title="55" alt="" coords="1230,337,1245,351"/>
<area shape="rect" id="node25" href="dir_b14333b5607b47fe7356eaa790107bd3.html" title="RegistrationManager" alt="" coords="1370,219,1515,267"/>
<area shape="rect" id="edge16-headlabel" href="dir_000102_000272.html" title="1" alt="" coords="1494,209,1502,222"/>
<area shape="rect" id="node4" href="dir_9dde9d78e15cabfb8e2b222ee9474f52.html" title="AudioPlayer" alt="" coords="27,27,120,75"/>
<area shape="rect" id="edge7-headlabel" href="dir_000144_000015.html" title="42" alt="" coords="1092,322,1107,335"/>
<area shape="rect" id="node5" href="dir_2fa9f33c88ab044378089e969c1a626c.html" title="Bluetooth" alt="" coords="1362,27,1440,75"/>
<area shape="rect" id="edge18-headlabel" href="dir_000149_000303.html" title="3" alt="" coords="1624,195,1632,209"/>
<area shape="rect" id="edge19-headlabel" href="dir_000149_000015.html" title="42" alt="" coords="1187,295,1202,308"/>
<area shape="rect" id="edge20-headlabel" href="dir_000149_000272.html" title="2" alt="" coords="1384,194,1391,208"/>
<area shape="rect" id="node6" href="dir_dd92015ab12b9b588cab78f10309c27c.html" title="DoNotDisturb" alt="" coords="1773,27,1875,75"/>
<area shape="rect" id="node22" href="dir_8ae0dd75af039a94f4269584fb8eef13.html" title="Settings" alt="" coords="2003,123,2075,171"/>
<area shape="rect" id="edge35-headlabel" href="dir_000154_000286.html" title="13" alt="" coords="1982,109,1996,122"/>
<area shape="rect" id="edge36-headlabel" href="dir_000154_000015.html" title="20" alt="" coords="1230,338,1245,351"/>
<area shape="rect" id="edge37-headlabel" href="dir_000154_000272.html" title="3" alt="" coords="1531,231,1538,244"/>
<area shape="rect" id="node7" href="dir_1ed14522faf145df15a01cd5fae94616.html" title="Equalizer" alt="" coords="1262,27,1338,75"/>
<area shape="rect" id="node19" href="dir_63c328d9f040c398ed3a99417a38689e.html" title="EqualizerImplementations" alt="" coords="905,123,1079,171"/>
<area shape="rect" id="edge41-headlabel" href="dir_000159_000222.html" title="1" alt="" coords="1095,124,1103,137"/>
<area shape="rect" id="edge42-headlabel" href="dir_000159_000015.html" title="16" alt="" coords="1177,292,1192,305"/>
<area shape="rect" id="edge43-headlabel" href="dir_000159_000272.html" title="2" alt="" coords="1383,195,1391,208"/>
<area shape="rect" id="node8" href="dir_a76b392fe5ef3dcdb4d5296d7cae461e.html" title="ExternalMediaPlayer" alt="" coords="144,27,288,75"/>
<area shape="rect" id="edge6-headlabel" href="dir_000163_000015.html" title="35" alt="" coords="1092,322,1107,335"/>
<area shape="rect" id="node9" href="dir_011a3f6e181db4516776f7256f22dadd.html" title="InteractionModel" alt="" coords="312,27,432,75"/>
<area shape="rect" id="edge11-headlabel" href="dir_000168_000015.html" title="9" alt="" coords="1096,319,1103,332"/>
<area shape="rect" id="node10" href="dir_7a74a0502dcf66bb0b102b2d461f259b.html" title="MRM" alt="" coords="456,27,528,75"/>
<area shape="rect" id="edge5-headlabel" href="dir_000173_000015.html" title="20" alt="" coords="1092,320,1107,334"/>
<area shape="rect" id="node11" href="dir_51ceba3e0236022a3ce16bfbc638804e.html" title="Notifications" alt="" coords="1464,27,1558,75"/>
<area shape="rect" id="edge8-headlabel" href="dir_000050_000303.html" title="3" alt="" coords="1645,193,1652,206"/>
<area shape="rect" id="edge9-headlabel" href="dir_000050_000015.html" title="32" alt="" coords="1209,303,1224,316"/>
<area shape="rect" id="edge10-headlabel" href="dir_000050_000272.html" title="2" alt="" coords="1445,193,1453,207"/>
<area shape="rect" id="node12" href="dir_7b6c89f8529a936fe9cff738852cb883.html" title="PlaybackController" alt="" coords="648,27,781,75"/>
<area shape="rect" id="edge40-headlabel" href="dir_000180_000015.html" title="25" alt="" coords="1093,315,1108,328"/>
<area shape="rect" id="node13" href="dir_7b2f53332397a9531c02a7761b07578b.html" title="Settings" alt="" coords="1581,27,1653,75"/>
<area shape="rect" id="edge21-headlabel" href="dir_000185_000211.html" title="3" alt="" coords="1711,99,1719,113"/>
<area shape="rect" id="edge22-headlabel" href="dir_000185_000303.html" title="3" alt="" coords="1667,192,1674,205"/>
<area shape="rect" id="edge23-headlabel" href="dir_000185_000015.html" title="21" alt="" coords="1230,334,1245,348"/>
<area shape="rect" id="edge24-headlabel" href="dir_000185_000272.html" title="2" alt="" coords="1479,204,1487,217"/>
<area shape="rect" id="node14" href="dir_bc46a16e1ec7aec8565980dcd59aba5c.html" title="SpeakerManager" alt="" coords="805,27,928,75"/>
<area shape="rect" id="edge1-headlabel" href="dir_000190_000015.html" title="26" alt="" coords="1093,315,1108,329"/>
<area shape="rect" id="node15" href="dir_097c79eef3239c0772ccd3b4f7a59e99.html" title="SpeechSynthesizer" alt="" coords="952,27,1088,75"/>
<area shape="rect" id="edge17-headlabel" href="dir_000195_000015.html" title="28" alt="" coords="1093,313,1108,326"/>
<area shape="rect" id="node16" href="dir_5c34f9d308a00f77f2da80e40fcb7b22.html" title="System" alt="" coords="1899,27,1971,75"/>
<area shape="rect" id="node23" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html" title="ACL" alt="" coords="2200,123,2272,171"/>
<area shape="rect" id="edge2-headlabel" href="dir_000200_000000.html" title="1" alt="" coords="2182,108,2190,122"/>
<area shape="rect" id="edge3-headlabel" href="dir_000200_000015.html" title="56" alt="" coords="1230,339,1245,352"/>
<area shape="rect" id="node26" href="dir_edb1b7e8f1a5d5a1b864206edd6d398d.html" title="ADSL" alt="" coords="2296,123,2368,171"/>
<area shape="rect" id="edge4-headlabel" href="dir_000200_000009.html" title="3" alt="" coords="2277,107,2285,120"/>
<area shape="rect" id="node17" href="dir_ad7482f55cfb335a38f864aa77f75e62.html" title="TemplateRuntime" alt="" coords="1112,27,1237,75"/>
<area shape="rect" id="edge44-headlabel" href="dir_000206_000015.html" title="23" alt="" coords="1095,304,1110,317"/>
<area shape="rect" id="edge12-headlabel" href="dir_000294_000015.html" title="11" alt="" coords="1092,321,1106,334"/>
<area shape="rect" id="edge27-headlabel" href="dir_000222_000015.html" title="34" alt="" coords="1130,289,1145,302"/>
<area shape="rect" id="edge28-headlabel" href="dir_000211_000303.html" title="3" alt="" coords="1714,204,1721,218"/>
<area shape="rect" id="edge29-headlabel" href="dir_000211_000015.html" title="19" alt="" coords="1230,335,1245,349"/>
<area shape="rect" id="edge30-headlabel" href="dir_000211_000272.html" title="5" alt="" coords="1531,218,1539,231"/>
<area shape="rect" id="edge31-headlabel" href="dir_000303_000015.html" title="13" alt="" coords="1230,331,1245,345"/>
<area shape="rect" id="edge32-headlabel" href="dir_000286_000303.html" title="1" alt="" coords="1727,230,1734,243"/>
<area shape="rect" id="edge33-headlabel" href="dir_000286_000015.html" title="11" alt="" coords="1230,338,1244,352"/>
<area shape="rect" id="edge34-headlabel" href="dir_000000_000015.html" title="97" alt="" coords="1230,340,1245,353"/>
<area shape="rect" id="edge38-headlabel" href="dir_000272_000015.html" title="9" alt="" coords="1235,316,1242,330"/>
<area shape="rect" id="edge39-headlabel" href="dir_000009_000015.html" title="32" alt="" coords="1230,339,1244,352"/>
<area shape="rect" id="clust1" href="dir_7cf910bd1d7603f12ef47ff650cec893.html" alt="" coords="16,16,2128,85"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="subdirs"></a>
Directories</h2></td></tr>
<tr class="memitem:dir_cc045affa42b6b559da6861739bda652"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_cc045affa42b6b559da6861739bda652.html">AIP</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_6a3d888c77d91a2c06c3ff7a43c42895"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_6a3d888c77d91a2c06c3ff7a43c42895.html">Alerts</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_9dde9d78e15cabfb8e2b222ee9474f52"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_9dde9d78e15cabfb8e2b222ee9474f52.html">AudioPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_2fa9f33c88ab044378089e969c1a626c"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_2fa9f33c88ab044378089e969c1a626c.html">Bluetooth</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_dd92015ab12b9b588cab78f10309c27c"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_1ed14522faf145df15a01cd5fae94616"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_1ed14522faf145df15a01cd5fae94616.html">Equalizer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_a76b392fe5ef3dcdb4d5296d7cae461e"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_a76b392fe5ef3dcdb4d5296d7cae461e.html">ExternalMediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_011a3f6e181db4516776f7256f22dadd"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_011a3f6e181db4516776f7256f22dadd.html">InteractionModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_7a74a0502dcf66bb0b102b2d461f259b"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_7a74a0502dcf66bb0b102b2d461f259b.html">MRM</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_51ceba3e0236022a3ce16bfbc638804e"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_51ceba3e0236022a3ce16bfbc638804e.html">Notifications</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_7b6c89f8529a936fe9cff738852cb883"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_7b6c89f8529a936fe9cff738852cb883.html">PlaybackController</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_7b2f53332397a9531c02a7761b07578b"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_7b2f53332397a9531c02a7761b07578b.html">Settings</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_bc46a16e1ec7aec8565980dcd59aba5c"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_bc46a16e1ec7aec8565980dcd59aba5c.html">SpeakerManager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_097c79eef3239c0772ccd3b4f7a59e99"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_097c79eef3239c0772ccd3b4f7a59e99.html">SpeechSynthesizer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_5c34f9d308a00f77f2da80e40fcb7b22"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_5c34f9d308a00f77f2da80e40fcb7b22.html">System</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_ad7482f55cfb335a38f864aa77f75e62"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_ad7482f55cfb335a38f864aa77f75e62.html">TemplateRuntime</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
